"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiIgnore = void 0;
const DecoratorRegistry_1 = require("../../reflection/DecoratorRegistry");
/**
 * Decorator that can be placed on an endpoint method to exclude it from any generated
 * OpenAPI specification.
 */
function apiIgnore() {
    return (classDefinition, methodName) => {
        let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
        let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
        if (DecoratorRegistry_1.DecoratorRegistry.getLogger().debugEnabled()) {
            DecoratorRegistry_1.DecoratorRegistry.getLogger().debug("@apiIgnore() decorator executed for endpoint: %s", endpoint.name);
        }
        endpoint.apiIgnore = true;
    };
}
exports.apiIgnore = apiIgnore;
//# sourceMappingURL=apiIgnore.js.map