"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiIgnoreController = void 0;
const DecoratorRegistry_1 = require("../../reflection/DecoratorRegistry");
/**
 * Decorator for a controller class to exclude it from any generated
 * OpenAPI specification.
 */
function apiIgnoreController() {
    return (classDefinition) => {
        let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition);
        DecoratorRegistry_1.DecoratorRegistry.getLogger().debug("@apiIgnoreController() decorator executed for controller: %s", controller.name);
        controller.apiIgnore = true;
    };
}
exports.apiIgnoreController = apiIgnoreController;
//# sourceMappingURL=apiIgnoreController.js.map