import { interfaces } from "inversify/dts/interfaces/interfaces";
import { ControllerInfo } from "./ControllerInfo";
import { ErrorInterceptor } from "../../api/error/ErrorInterceptor";
import { IParameterExtractor } from "../../api/parameters/IParameterExtractor";
import { ApiOperationInfo } from "../open-api/ApiOperationInfo";
import { ApiBodyInfo } from "../open-api/ApiBodyInfo";
export declare class EndpointInfo {
    readonly name: string;
    readonly methodName?: string;
    readonly controller?: ControllerInfo;
    readonly method: Function;
    readonly parameterExtractors: IParameterExtractor[];
    httpMethod: string;
    path?: string;
    consumes?: string;
    produces?: string;
    noAuth?: boolean;
    rolesAllowed?: string[];
    errorInterceptor?: interfaces.ServiceIdentifier<ErrorInterceptor>;
    apiOperationInfo?: ApiOperationInfo;
    apiIgnore?: boolean;
    get fullPath(): string;
    get requestContentType(): string;
    get responseContentType(): string;
    get authenticationDisabled(): boolean;
    get roles(): string[];
    get apiRequestInfo(): ApiBodyInfo;
    get endpointErrorInterceptor(): interfaces.ServiceIdentifier<ErrorInterceptor>;
    constructor(name: string, controllerOrMethod?: ControllerInfo | Function, methodName?: string);
    getControllerPropOrDefault<T>(lookup: (c: ControllerInfo) => T, defaultValue?: T): T;
    getOrCreateApiOperationInfo(): ApiOperationInfo;
}
